﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@*Pop Up Part Master*@
@using (Html.BeginForm("", "LogMonitoring", FormMethod.Post))
{
    <div>
        <table>
            <tr>
                <td style="width: 200px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Process ID";
                    }).GetHtml()
                </td>
                <td style="width: 400px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_ProcessId";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 200;
                        TextBox.ReadOnly = true;
                    }).Bind(ViewData["D_ProcessId"]).GetHtml()
                </td>
                <td style="width: 200px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Module Name";
                    }).GetHtml()
                </td>
                <td style="width: 400px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_ModuleName";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 250;
                        TextBox.ReadOnly = true;
                    }).Bind(ViewData["D_ModuleName"]).GetHtml()
                </td>
                <td style="width: 200px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "User ID";
                    }).GetHtml()
                </td>
                <td style="width: 400px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_UserId";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 200;
                        TextBox.ReadOnly = true;
                    }).Bind(ViewData["D_UserId"]).GetHtml()
                </td>
                @*<td style="width: 100px" rowspan="3">
                    @Html.DevExpress().Button(
                    Button =>
                    {
                        Button.Name = "I_Refresh";
                        Button.Width = 100;
                        Button.Height = 50;
                        Button.Text = "Refresh";
                        Button.ClientSideEvents.Click = "function(s, e){ LogMonitoringDetailViewArea.PerformCallback(); LogMonitoringDetailViewArea.Refresh(); }";
                    }).GetHtml()
                </td>*@
            </tr>
            <tr style="height:5px"></tr>
            <tr>
                <td style="width: 200px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Process Status";
                    }).GetHtml()
                </td>
                <td style="width: 400px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_ProcessStatus";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 200;
                        TextBox.ReadOnly = true;
                    }).Bind(ViewData["D_ProcessStatus"]).GetHtml()
                </td>
                <td style="width: 200px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Funtion Name";
                    }).GetHtml()
                </td>
                <td style="width: 400px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_FunctionName";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 250;
                        TextBox.ReadOnly = true;
                    }).Bind(ViewData["D_FunctionName"]).GetHtml()
                </td>
                <td style="width: 200px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Start Date";
                    }).GetHtml()
                </td>
                <td style="width: 400px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_StartDate";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 200;
                        TextBox.ReadOnly = true;
                    }).Bind(ViewData["D_StartDate"]).GetHtml()
                </td>
            </tr>
            <tr>
                <td colspan="19">
                    <hr />
                </td>
            </tr>
            @* <tr style="height:15px">
                </tr>*@
        </table>
        <table style="width:100%">
            <tr>
                <td style="width:83.5%; align:left;"></td>
                <td style="width:8%; align:right;">
                    @Html.DevExpress().Button(
                    Button =>
                    {
                        Button.Name = "I_Refresh";
                        Button.Width = 100;
                        Button.Text = "Refresh";
                        Button.ClientSideEvents.Click = "function(s, e){ LogMonitoringDetailViewArea.PerformCallback(); LogMonitoringDetailViewArea.Refresh(); }";
                    }).GetHtml()
                </td>
                <td style="width:0.5%; align:left;"></td>
                <td style="width:8%; align:right;">
                    @Html.DevExpress().Button(
                    Button =>
                    {
                        Button.Name = "I_Download";
                        Button.Width = 100;
                        Button.Text = "Download";
                        Button.ClientSideEvents.Click = "OnDownloadLogMonitoringDetail";
                        Button.Style.Add("display", "inline-table");
                    }).GetHtml()
                </td>
            </tr>
        </table>
    </div>
    <br />
    @*<div class="content">
            <table width="950px" >
                <tr>
                    <td>
                        @Html.Partial("_PartialGridView",ViewData["LogData"])
                    </td>
                </tr>
            </table>
        </div>*@
}